---
title: "履约单列表查询"
description: "搜索履约单列表"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/fulfillment-order-list-query'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/fulfillment-order-list-query.md'
---
# 履约单列表查询

搜索履约单列表

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /fulfillment_orders/fulfillment_orders_search.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_assigned_fulfillment_orders`

## Request

### Query Parameters

* `assignment_status`

  string (optional)

  请求状态

* `limit`

  string (optional)

  查询的数据数量，默认20，最大100条

* `location_ids`

  string (required)

  地点id列表

* `page_info`

  string (optional)

  分页查询的唯一标识，用于定位特定页面。
  
  该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。
  
  关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `since_id`

  string (optional)

  要查询的数据的订单号id的起始位置

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `link`

  提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。
  
  当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `fulfillment_orders`

  array<object>

  数据列表

  * `assigned_location`

    object

    被分配到的地点详情

    * `address1`

      string

      地址1

    * `address2`

      string

      地址2

    * `city`

      string

      城市

    * `country`

      string

      国家或是地区名称

    * `country_code`

      string

      国家或是地区编码

    * `location_id`

      string

      地点id

    * `name`

      string

      地点名称

    * `phone`

      string

      电话号码

    * `province`

      string

      省份

    * `zip`

      string

      邮编

  * `assigned_location_id`

    string

    被分配的地点id

  * `delivery_method`

    string

    物流方式，包括：shipping、pickup、local_delivery、none

  * `destination`

    object

    收货人地址

    * `address1`

      string

      地址1

    * `address2`

      string

      地址2

    * `city`

      string

      城市

    * `company`

      string

      公司

    * `country`

      string

      国家或地区名称

    * `country_code`

      string

      国家或地区编码

    * `delivery_store_code`

      string

      本地配送门店id，仅本地配送时提供

    * `delivery_store_name`

      string

      本地配送门店名称，仅本地配送时提供

    * `email`

      string

      邮箱

    * `first_name`

      string

      firstName

    * `id`

      string

      唯一编码

    * `last_name`

      string

      lastName

    * `name`

      string

      顾客姓名

    * `phone`

      string

      电话号码

    * `province`

      string

      州省名称

    * `province_code`

      string

      州或是省编码，IOS 3166-2编码

  * `display_status`

    string

    到店取货场景下才赋值。如果不是到店取货，或者是到店取货-未取货状态都返回null

  * `fulfill_at`

    string

    可发货时间（格式见IOS8601）

  * `fulfill_by`

    string

    最晚发货时间（格式见IOS8601）

  * `fulfillment_holds`

    array<object>

    暂停信息

    * `reason`

      string

      暂停原因

    * `reason_note`

      string

      暂停备注

  * `id`

    string

    履约单id

  * `line_items`

    array<object>

    履约商品列表

    * `country_code_of_origin`

      string

      原产地/发货地的国家代码

    * `fulfillable_quantity`

      long

      可履约商品数量

    * `fulfillment_order_id`

      string

      履约单id

    * `harmonized_system_code`

      string

      海关编码

    * `id`

      string

      履约单商品表id

    * `line_item_id`

      string

      商品行id

    * `quantity`

      long

      商品行对应商品数量

    * `shop_id`

      string

      店铺id

    * `variant_id`

      string

      商品sku序列号

  * `merchant_requests`

    array<object>

    请求发货时的具体信息列表

    * `created_at`

      string

      发生时间，（格式见IOS8601）

    * `kind`

      string

      第三方请求状态,包括： submit：fulfillment_request，cancellation_requested，cancellation_reques

    * `message`

      string

      备注

    * `notify_customer`

      boolean

      发货时是否通知客户

  * `order_id`

    string

    订单id

  * `request_status`

    string

    请求状态，包括：unsubmitted，submitted，rejected，closed，cancellation_requested，cancellation_rejected，cancellation_accepted，accepted

  * `shop_id`

    string

    店铺id

  * `status`

    string

    履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled

  * `supported_actions`

    array<string>

    履约单支持的操作


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "履约单列表查询"
  ],
  "description": "搜索履约单列表",
  "externalDocs": {
    "description": "接口使用的权限点: `read_assigned_fulfillment_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n"
  },
  "operationId": "ltKYkNzD",
  "parameters": [
    {
      "name": "assignment_status",
      "in": "query",
      "description": "请求状态",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "assignment_status",
        "description": "请求状态",
        "type": "string",
        "example": "\"unsubmitted\""
      },
      "example": "\"unsubmitted\""
    },
    {
      "name": "limit",
      "in": "query",
      "description": "查询的数据数量，默认20，最大100条",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "查询的数据数量，默认20，最大100条",
        "type": "string",
        "example": 10
      },
      "example": 10
    },
    {
      "name": "location_ids",
      "in": "query",
      "description": "地点id列表",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "location_ids",
        "description": "地点id列表",
        "type": "string",
        "example": "\"24826418,24826411\""
      },
      "example": "\"24826418,24826411\""
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "加密后的请求参数，包括所有的查询条件参数(除去queryParamData),用于上一页、下一页，直接取该字段解析访问",
        "type": "string",
        "example": "\"7AFD7393C6E7CF18672C038477E2EF6A463464BDBAF766DD8F8CB8E0085F82419A94B80084BCDA0B838B3F13C302A2C9044E\""
      },
      "example": "\"7AFD7393C6E7CF18672C038477E2EF6A463464BDBAF766DD8F8CB8E0085F82419A94B80084BCDA0B838B3F13C302A2C9044E\""
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "要查询的数据的订单号id的起始位置",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "要查询的数据的订单号id的起始位置",
        "type": "string",
        "example": "\"21056199447626881527947685\""
      },
      "example": "\"21056199447626881527947685\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "link": {
          "description": "提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。\n\n当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment_orders": {
                "name": "fulfillment_orders",
                "description": "数据列表",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "assigned_location": {
                      "name": "assigned_location",
                      "description": "被分配到的地点详情",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "地址1",
                          "type": "string",
                          "example": "126 York Street"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "地址2",
                          "type": "string",
                          "example": "Unit 42"
                        },
                        "city": {
                          "name": "city",
                          "description": "城市",
                          "type": "string",
                          "example": "Ottawa"
                        },
                        "country": {
                          "name": "country",
                          "description": "国家或是地区名称",
                          "type": "string",
                          "example": "Canada"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "国家或是地区编码",
                          "type": "string",
                          "example": "CA"
                        },
                        "location_id": {
                          "name": "location_id",
                          "description": "地点id",
                          "type": "string",
                          "example": "5668167071852661850"
                        },
                        "name": {
                          "name": "name",
                          "description": "地点名称",
                          "type": "string",
                          "example": "Ottawa Store"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "电话号码",
                          "type": "string",
                          "example": "18883290139"
                        },
                        "province": {
                          "name": "province",
                          "description": "省份",
                          "type": "string",
                          "example": "Ontario"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "邮编",
                          "type": "string",
                          "example": "A1B 2C3"
                        }
                      },
                      "example": {
                        "address1": "126 York Street",
                        "address2": "Unit 42",
                        "city": "Ottawa",
                        "country": "Canada",
                        "country_code": "CA",
                        "location_id": "5668167071852661850",
                        "name": "Ottawa Store",
                        "phone": "18883290139",
                        "province": "Ontario",
                        "zip": "A1B 2C3"
                      }
                    },
                    "assigned_location_id": {
                      "name": "assigned_location_id",
                      "description": "被分配的地点id",
                      "type": "string",
                      "example": "5668167071852661850"
                    },
                    "delivery_method": {
                      "name": "delivery_method",
                      "description": "物流方式，包括：shipping、pickup、local_delivery、none",
                      "type": "string",
                      "example": "none"
                    },
                    "destination": {
                      "name": "destination",
                      "description": "收货人地址",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "地址1",
                          "type": "string",
                          "example": "Chestnut Street 12"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "地址2",
                          "type": "string",
                          "example": "Chestnut Street 13"
                        },
                        "city": {
                          "name": "city",
                          "description": "城市",
                          "type": "string",
                          "example": "Louisville"
                        },
                        "company": {
                          "name": "company",
                          "description": "公司",
                          "type": "string",
                          "example": "LLL"
                        },
                        "country": {
                          "name": "country",
                          "description": "国家或地区名称",
                          "type": "string",
                          "example": "Canada"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "国家或地区编码",
                          "type": "string",
                          "example": "CA"
                        },
                        "delivery_store_code": {
                          "name": "delivery_store_code",
                          "description": "本地配送门店id，仅本地配送时提供",
                          "type": "string",
                          "example": "A121"
                        },
                        "delivery_store_name": {
                          "name": "delivery_store_name",
                          "description": "本地配送门店名称，仅本地配送时提供",
                          "type": "string",
                          "example": "Napo Shop"
                        },
                        "email": {
                          "name": "email",
                          "description": "邮箱",
                          "type": "string",
                          "example": "sswe.t@mail.example.com"
                        },
                        "first_name": {
                          "name": "first_name",
                          "description": "firstName",
                          "type": "string",
                          "example": "Jack"
                        },
                        "id": {
                          "name": "id",
                          "description": "唯一编码",
                          "type": "string",
                          "example": "1046000771"
                        },
                        "last_name": {
                          "name": "last_name",
                          "description": "lastName",
                          "type": "string"
                        },
                        "name": {
                          "name": "name",
                          "description": "顾客姓名",
                          "type": "string",
                          "example": "Jack Wang"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "电话号码",
                          "type": "string",
                          "example": "18883290137"
                        },
                        "province": {
                          "name": "province",
                          "description": "州省名称",
                          "type": "string",
                          "example": "Kentucky"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "州或是省编码，IOS 3166-2编码",
                          "type": "string",
                          "example": "KY"
                        }
                      },
                      "example": {
                        "address1": "Chestnut Street 12",
                        "address2": "Chestnut Street 13",
                        "city": "Louisville",
                        "company": "LLL",
                        "country": "Canada",
                        "country_code": "CA",
                        "delivery_store_code": "A121",
                        "delivery_store_name": "Napo Shop",
                        "email": "sswe.t@mail.example.com",
                        "first_name": "Jack",
                        "id": "1046000771",
                        "last_name": null,
                        "name": "Jack Wang",
                        "phone": "18883290137",
                        "province": "Kentucky",
                        "province_code": "KY"
                      }
                    },
                    "display_status": {
                      "name": "display_status",
                      "description": "到店取货场景下才赋值。如果不是到店取货，或者是到店取货-未取货状态都返回null",
                      "type": "string",
                      "example": "Picked up"
                    },
                    "fulfill_at": {
                      "name": "fulfill_at",
                      "description": "可发货时间（格式见IOS8601）",
                      "type": "string",
                      "example": "2023-04-12T22:59:52+08:00"
                    },
                    "fulfill_by": {
                      "name": "fulfill_by",
                      "description": "最晚发货时间（格式见IOS8601）",
                      "type": "string",
                      "example": "2023-04-12T22:59:52+08:00"
                    },
                    "fulfillment_holds": {
                      "name": "fulfillment_holds",
                      "description": "暂停信息",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "reason": {
                            "name": "reason",
                            "description": "暂停原因",
                            "type": "string",
                            "example": "something wrong"
                          },
                          "reason_note": {
                            "name": "reason_note",
                            "description": "暂停备注",
                            "type": "string",
                            "example": "something wrong"
                          }
                        },
                        "example": {
                          "reason": "something wrong",
                          "reason_note": "something wrong"
                        }
                      }
                    },
                    "id": {
                      "name": "id",
                      "description": "履约单id",
                      "type": "string",
                      "example": "4005740193290131085320"
                    },
                    "line_items": {
                      "name": "line_items",
                      "description": "履约商品列表",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "country_code_of_origin": {
                            "name": "country_code_of_origin",
                            "description": "原产地/发货地的国家代码",
                            "type": "string",
                            "example": "US"
                          },
                          "fulfillable_quantity": {
                            "name": "fulfillable_quantity",
                            "description": "可履约商品数量",
                            "type": "long",
                            "example": 1
                          },
                          "fulfillment_order_id": {
                            "name": "fulfillment_order_id",
                            "description": "履约单id",
                            "type": "string",
                            "example": "4005740193290131085320"
                          },
                          "harmonized_system_code": {
                            "name": "harmonized_system_code",
                            "description": "海关编码",
                            "type": "string",
                            "example": "121"
                          },
                          "id": {
                            "name": "id",
                            "description": "履约单商品表id",
                            "type": "string",
                            "example": "400574123"
                          },
                          "line_item_id": {
                            "name": "line_item_id",
                            "description": "商品行id",
                            "type": "string",
                            "example": "40057889"
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "商品行对应商品数量",
                            "type": "long",
                            "example": 1
                          },
                          "shop_id": {
                            "name": "shop_id",
                            "description": "店铺id",
                            "type": "string",
                            "example": "541380002"
                          },
                          "variant_id": {
                            "name": "variant_id",
                            "description": "商品sku序列号",
                            "type": "string",
                            "example": "156223761"
                          }
                        },
                        "example": {
                          "country_code_of_origin": "US",
                          "fulfillable_quantity": 1,
                          "fulfillment_order_id": "4005740193290131085320",
                          "harmonized_system_code": "121",
                          "id": "400574123",
                          "line_item_id": "40057889",
                          "quantity": 1,
                          "shop_id": "541380002",
                          "variant_id": "156223761"
                        }
                      }
                    },
                    "merchant_requests": {
                      "name": "merchant_requests",
                      "description": "请求发货时的具体信息列表",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "created_at": {
                            "name": "created_at",
                            "description": "发生时间，（格式见IOS8601）",
                            "type": "string",
                            "example": "2023-04-12T22:59:52+08:00"
                          },
                          "kind": {
                            "name": "kind",
                            "description": "第三方请求状态,包括： submit：fulfillment_request，cancellation_requested，cancellation_reques",
                            "type": "string",
                            "example": "submit"
                          },
                          "message": {
                            "name": "message",
                            "description": "备注",
                            "type": "string",
                            "example": "none"
                          },
                          "notify_customer": {
                            "name": "notify_customer",
                            "description": "发货时是否通知客户",
                            "type": "boolean",
                            "example": true
                          }
                        },
                        "example": {
                          "created_at": "2023-04-12T22:59:52+08:00",
                          "kind": "submit",
                          "message": "none",
                          "notify_customer": true
                        }
                      }
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "订单id",
                      "type": "string",
                      "example": "21057116277667827637773776"
                    },
                    "request_status": {
                      "name": "request_status",
                      "description": "请求状态，包括：unsubmitted，submitted，rejected，closed，cancellation_requested，cancellation_rejected，cancellation_accepted，accepted",
                      "type": "string",
                      "example": "unsubmitted"
                    },
                    "shop_id": {
                      "name": "shop_id",
                      "description": "店铺id",
                      "type": "string",
                      "example": "541380002"
                    },
                    "status": {
                      "name": "status",
                      "description": "履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled",
                      "type": "string",
                      "example": "open"
                    },
                    "supported_actions": {
                      "name": "supported_actions",
                      "description": "履约单支持的操作",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "example": [
                        "\"create_fulfillment\""
                      ]
                    }
                  },
                  "example": {
                    "assigned_location": {
                      "address1": "126 York Street",
                      "address2": "Unit 42",
                      "city": "Ottawa",
                      "country": "Canada",
                      "country_code": "CA",
                      "location_id": "5668167071852661850",
                      "name": "Ottawa Store",
                      "phone": "18883290139",
                      "province": "Ontario",
                      "zip": "A1B 2C3"
                    },
                    "assigned_location_id": "5668167071852661850",
                    "delivery_method": "none",
                    "destination": {
                      "address1": "Chestnut Street 12",
                      "address2": "Chestnut Street 13",
                      "city": "Louisville",
                      "company": "LLL",
                      "country": "Canada",
                      "country_code": "CA",
                      "delivery_store_code": "A121",
                      "delivery_store_name": "Napo Shop",
                      "email": "sswe.t@mail.example.com",
                      "first_name": "Jack",
                      "id": "1046000771",
                      "last_name": null,
                      "name": "Jack Wang",
                      "phone": "18883290137",
                      "province": "Kentucky",
                      "province_code": "KY"
                    },
                    "display_status": "Picked up",
                    "fulfill_at": "2023-04-12T22:59:52+08:00",
                    "fulfill_by": "2023-04-12T22:59:52+08:00",
                    "fulfillment_holds": null,
                    "id": "4005740193290131085320",
                    "line_items": null,
                    "merchant_requests": null,
                    "order_id": "21057116277667827637773776",
                    "request_status": "unsubmitted",
                    "shop_id": "541380002",
                    "status": "open",
                    "supported_actions": [
                      "\"create_fulfillment\""
                    ]
                  }
                }
              }
            },
            "example": {
              "fulfillment_orders": null
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/fulfillment_orders/fulfillment_orders_search.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "履约单列表查询",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_assigned_fulfillment_orders"
  ]
}
```